-- **************************************************
-- ██████  ██████   █████  ██    ██ ███████ ███    ██ 
-- ██   ██ ██   ██ ██   ██ ██    ██ ██      ████   ██ 
-- ██████  ██████  ███████ ██    ██ █████   ██ ██  ██ 
-- ██   ██ ██   ██ ██   ██  ██  ██  ██      ██  ██ ██ 
-- ██████  ██   ██ ██   ██   ████   ███████ ██   ████
-- **************************************************

local function addProfessions()
	local doctor = ProfessionFactory.getProfession("doctor")
    local nurse = ProfessionFactory.getProfession("nurse")
	doctor:addFreeTrait("MedicalPractitioner")
	nurse:addFreeTrait("MedicalPractitioner")
end

local function addTraits()
	TraitFactory.addTrait("MedicalPractitioner", getText("UI_trait_MedicalPractitioner"), 0, getText("UI_trait_MedicalPractitionerDesc"), true)
end

Events.OnGameBoot.Add(addTraits)
Events.OnGameBoot.Add(addProfessions)